<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: appCNNScene.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_230ff266809b6c822309e6868f081b10.html">app</a></li><li class="navelem"><a class="el" href="dir_e5b67a8a4144e6ae177326db1accf5e2.html">cnn</a></li><li class="navelem"><a class="el" href="dir_f1f6944af43c59fefd67e76a5b785649.html">scene</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">appCNNScene.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="appCNNScene_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef APPCNNSCENE_H_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define APPCNNSCENE_H_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="timl_8h.html">timl.h</a>&quot;</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment"> * STRUCTURE DEFINITIONS</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="structappCNNSceneDataSet.html">   63</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;   <span class="keywordtype">int</span>        num;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;   <span class="keywordtype">int</span>        row;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;   <span class="keywordtype">int</span>        col;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;   <span class="keywordtype">int</span>        channel;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;   <span class="keyword">const</span> <span class="keywordtype">char</span> *imageFileNameStr;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;   <span class="keyword">const</span> <span class="keywordtype">char</span> *labelFileNameStr;</div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="structappCNNSceneDataSet.html#a056a6e767d7d0d43ea1f18d0c5688c9a">   70</a></span>&#160;   <span class="keywordtype">int</span>        <a class="code" href="structappCNNSceneDataSet.html#a056a6e767d7d0d43ea1f18d0c5688c9a">patchSize</a>; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;} <a class="code" href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment"> * FUNCTION PROTOTYPES</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keywordtype">float</span> <a class="code" href="group__appCNNScene.html#ga656def3c972943463bee38f746074b79">appCNNSceneAccuracy</a>(<span class="keywordtype">int</span> *labelMatrix, <span class="keywordtype">int</span> *trueLabelMatrix, <span class="keywordtype">int</span> dim);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#gaf308ce265a25eed146051684e2da2671">appCNNSceneSupervisedTraining</a>(<a class="code" href="struct__timlConvNeuralNetwork__.html">timlConvNeuralNetwork</a> *cnn, <a class="code" href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a> *dataSet);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#ga38cb0fe9d4fb06709a7e9330911c9431">appCNNSceneSBDTraining</a>();</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#gaa2f9ce79a0aaf4a15ef414ac09f0ca7d">appCNNSceneSBDTesting</a>();</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#ga4924a13edce94afaba52667d78ef7256">appCNNSceneClassify</a>(<a class="code" href="struct__timlConvNeuralNetwork__.html">timlConvNeuralNetwork</a> *cnn, <a class="code" href="structtimlUtilImage.html">timlUtilImage</a> image, <span class="keywordtype">int</span> *labelMatrix, <span class="keywordtype">int</span> scale);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#gae6081de152d81c0f91f2ce6f53683848">appCNNSceneShuffleIdx</a>(<span class="keywordtype">int</span> *imageIdx, <span class="keywordtype">int</span> *rowIdx, <span class="keywordtype">int</span> *colIdx, <a class="code" href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a> *dataSet);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#ga963efff2a4368b6ddc7340d8e24e69bc">appCNNSceneGetLabel</a>(<span class="keywordtype">int</span> imageIdx, <span class="keywordtype">int</span> rowIdx, <span class="keywordtype">int</span> colIdx, <a class="code" href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a> *dataSet);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#ga40b5369e66533ed261ba62199b223cff">appCNNSceneGetPatch</a>(<span class="keywordtype">int</span> imageIdx, <span class="keywordtype">int</span> rowIdx, <span class="keywordtype">int</span> colIdx, <a class="code" href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a> *dataSet, <span class="keywordtype">float</span> *patch);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#gad77aeeb63649011f260d9c475bef945d">appCNNSceneClassifyOpenMP</a>(<a class="code" href="struct__timlConvNeuralNetwork__.html">timlConvNeuralNetwork</a> **cnnTeam, <span class="keywordtype">int</span> teamNum, <span class="keywordtype">float</span> *data, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col, <span class="keywordtype">int</span> channel, <span class="keywordtype">int</span> *labelMatrix, <span class="keywordtype">int</span> scale);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__appCNNScene.html#ga99dbed533d0ee1089e655bb3bc507a62">appCNNSceneLabelMatrix</a>(<span class="keywordtype">float</span> *map, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col, <span class="keywordtype">int</span> channel, <span class="keywordtype">int</span> m, <span class="keywordtype">int</span> k, <span class="keywordtype">int</span> *labelMatrix, <span class="keywordtype">int</span> numRow, <span class="keywordtype">int</span> numCol);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* APPCNNSCENE_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="group__appCNNScene_html_gad77aeeb63649011f260d9c475bef945d"><div class="ttname"><a href="group__appCNNScene.html#gad77aeeb63649011f260d9c475bef945d">appCNNSceneClassifyOpenMP</a></div><div class="ttdeci">int appCNNSceneClassifyOpenMP(timlConvNeuralNetwork **cnnTeam, int teamNum, float *data, int row, int col, int channel, int *labelMatrix, int scale)</div><div class="ttdoc">Supervised training on the dataset using openmp. </div><div class="ttdef"><b>Definition:</b> appCNNSceneClassifyOpenMP.c:63</div></div>
<div class="ttc" id="group__appCNNScene_html_gaf308ce265a25eed146051684e2da2671"><div class="ttname"><a href="group__appCNNScene.html#gaf308ce265a25eed146051684e2da2671">appCNNSceneSupervisedTraining</a></div><div class="ttdeci">int appCNNSceneSupervisedTraining(timlConvNeuralNetwork *cnn, appCNNSceneDataSet *dataSet)</div><div class="ttdoc">Supervised training on the dataset. </div><div class="ttdef"><b>Definition:</b> appCNNSceneSupervisedTraining.c:57</div></div>
<div class="ttc" id="structappCNNSceneDataSet_html"><div class="ttname"><a href="structappCNNSceneDataSet.html">appCNNSceneDataSet</a></div><div class="ttdef"><b>Definition:</b> appCNNScene.h:63</div></div>
<div class="ttc" id="group__appCNNScene_html_ga40b5369e66533ed261ba62199b223cff"><div class="ttname"><a href="group__appCNNScene.html#ga40b5369e66533ed261ba62199b223cff">appCNNSceneGetPatch</a></div><div class="ttdeci">int appCNNSceneGetPatch(int imageIdx, int rowIdx, int colIdx, appCNNSceneDataSet *dataSet, float *patch)</div><div class="ttdoc">Return the image patch for (image, row, col) index combination. </div><div class="ttdef"><b>Definition:</b> appCNNSceneGetPatch.c:60</div></div>
<div class="ttc" id="struct__timlConvNeuralNetwork___html"><div class="ttname"><a href="struct__timlConvNeuralNetwork__.html">_timlConvNeuralNetwork_</a></div><div class="ttdef"><b>Definition:</b> timlCNN.h:257</div></div>
<div class="ttc" id="structtimlUtilImage_html"><div class="ttname"><a href="structtimlUtilImage.html">timlUtilImage</a></div><div class="ttdef"><b>Definition:</b> timlUtil.h:170</div></div>
<div class="ttc" id="group__appCNNScene_html_ga963efff2a4368b6ddc7340d8e24e69bc"><div class="ttname"><a href="group__appCNNScene.html#ga963efff2a4368b6ddc7340d8e24e69bc">appCNNSceneGetLabel</a></div><div class="ttdeci">int appCNNSceneGetLabel(int imageIdx, int rowIdx, int colIdx, appCNNSceneDataSet *dataSet)</div><div class="ttdoc">Return the pixel label for (image, row, col) index combination. </div><div class="ttdef"><b>Definition:</b> appCNNSceneGetLabel.c:59</div></div>
<div class="ttc" id="group__appCNNScene_html_gaa2f9ce79a0aaf4a15ef414ac09f0ca7d"><div class="ttname"><a href="group__appCNNScene.html#gaa2f9ce79a0aaf4a15ef414ac09f0ca7d">appCNNSceneSBDTesting</a></div><div class="ttdeci">int appCNNSceneSBDTesting()</div><div class="ttdoc">Standford Backgournd Database Scene labeling testing example. </div><div class="ttdef"><b>Definition:</b> appCNNSceneSBDTesting.c:83</div></div>
<div class="ttc" id="group__appCNNScene_html_gae6081de152d81c0f91f2ce6f53683848"><div class="ttname"><a href="group__appCNNScene.html#gae6081de152d81c0f91f2ce6f53683848">appCNNSceneShuffleIdx</a></div><div class="ttdeci">int appCNNSceneShuffleIdx(int *imageIdx, int *rowIdx, int *colIdx, appCNNSceneDataSet *dataSet)</div><div class="ttdoc">Shuffles the (image, row, col) index combination from the data set. </div><div class="ttdef"><b>Definition:</b> appCNNSceneShuffleIdx.c:59</div></div>
<div class="ttc" id="group__appCNNScene_html_ga38cb0fe9d4fb06709a7e9330911c9431"><div class="ttname"><a href="group__appCNNScene.html#ga38cb0fe9d4fb06709a7e9330911c9431">appCNNSceneSBDTraining</a></div><div class="ttdeci">int appCNNSceneSBDTraining()</div><div class="ttdoc">Scene labeling training example. </div><div class="ttdef"><b>Definition:</b> appCNNSceneSBDTraining.c:81</div></div>
<div class="ttc" id="group__appCNNScene_html_ga656def3c972943463bee38f746074b79"><div class="ttname"><a href="group__appCNNScene.html#ga656def3c972943463bee38f746074b79">appCNNSceneAccuracy</a></div><div class="ttdeci">float appCNNSceneAccuracy(int *labelMatrix, int *trueLabelMatrix, int dim)</div><div class="ttdoc">Return the labeling accuracy. </div><div class="ttdef"><b>Definition:</b> appCNNSceneAccuracy.c:58</div></div>
<div class="ttc" id="group__appCNNScene_html_ga99dbed533d0ee1089e655bb3bc507a62"><div class="ttname"><a href="group__appCNNScene.html#ga99dbed533d0ee1089e655bb3bc507a62">appCNNSceneLabelMatrix</a></div><div class="ttdeci">int appCNNSceneLabelMatrix(float *map, int row, int col, int channel, int m, int k, int *labelMatrix, int numRow, int numCol)</div><div class="ttdoc">Fill the label matrix. </div><div class="ttdef"><b>Definition:</b> appCNNSceneLabelMatrix.c:68</div></div>
<div class="ttc" id="group__appCNNScene_html_ga4924a13edce94afaba52667d78ef7256"><div class="ttname"><a href="group__appCNNScene.html#ga4924a13edce94afaba52667d78ef7256">appCNNSceneClassify</a></div><div class="ttdeci">int appCNNSceneClassify(timlConvNeuralNetwork *cnn, timlUtilImage image, int *labelMatrix, int scale)</div><div class="ttdoc">Pixel label classification. </div><div class="ttdef"><b>Definition:</b> appCNNSceneClassify.c:59</div></div>
<div class="ttc" id="structappCNNSceneDataSet_html_a056a6e767d7d0d43ea1f18d0c5688c9a"><div class="ttname"><a href="structappCNNSceneDataSet.html#a056a6e767d7d0d43ea1f18d0c5688c9a">appCNNSceneDataSet::patchSize</a></div><div class="ttdeci">int patchSize</div><div class="ttdef"><b>Definition:</b> appCNNScene.h:70</div></div>
<div class="ttc" id="timl_8h_html"><div class="ttname"><a href="timl_8h.html">timl.h</a></div><div class="ttdoc">timl public APIs </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
